MyGUI::xml::ElementEnumerator Class Reference

`#include <MyGUI_XmlDocument.h>`

## Public Member Functions

bool | next ()
bool | next (std::string_view _name)
ElementPtr | operator-> () const
ElementPtr | current ()
bool | nextNode ()
bool | nextNode (std::string_view _name)
ElementPtr | currentNode ()

## Friends

class | Element

## Detailed Description

Definition at line 120 of file MyGUI_XmlDocument.h.

## Member Function Documentation

## current()

ElementPtr MyGUI::xml::ElementEnumerator::current | ( |  | ) |

Definition at line 136 of file MyGUI_XmlDocument.cpp.

## currentNode()

ElementPtr MyGUI::xml::ElementEnumerator::currentNode | ( |  | ) |

inline

Deprecated
  "use : ElementPtr ElementEnumerator::current()"

Definition at line 148 of file MyGUI_XmlDocument.h.

## next() [1/2]

bool MyGUI::xml::ElementEnumerator::next | ( |  | ) |

Definition at line 107 of file MyGUI_XmlDocument.cpp.

## next() [2/2]

bool MyGUI::xml::ElementEnumerator::next | ( | std::string_view | _name | ) |

Definition at line 120 of file MyGUI_XmlDocument.cpp.

## nextNode() [1/2]

bool MyGUI::xml::ElementEnumerator::nextNode | ( |  | ) |

inline

Deprecated
  "use : bool ElementEnumerator::next()"

Definition at line 138 of file MyGUI_XmlDocument.h.

## nextNode() [2/2]

bool MyGUI::xml::ElementEnumerator::nextNode | ( | std::string_view | _name | ) |

inline

Deprecated
  "use : bool ElementEnumerator::next(std::string_view _name)"

Definition at line 143 of file MyGUI_XmlDocument.h.

## operator->()

ElementPtr MyGUI::xml::ElementEnumerator::operator-> | ( |  | ) | const

Definition at line 130 of file MyGUI_XmlDocument.cpp.

## Friends And Related Symbol Documentation

## Element

friend class Element

friend

Definition at line 122 of file MyGUI_XmlDocument.h.

The documentation for this class was generated from the following files:

- MyGUI_XmlDocument.h
- MyGUI_XmlDocument.cpp